Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.rtf
Class RTFEditorKit

    java.lang.Object
      javax.swing.text.EditorKit
          javax.swing.text.DefaultEditorKit
              javax.swing.text.StyledEditorKit
                  javax.swing.text.rtf.RTFEditorKit

All Implemented Interfaces:
  Serializable, Cloneable

    public class RTFEditorKit

extends StyledEditorKit

This is the default implementation of RTF editing functionality. The RTF support was not written by the Swing team. In the future we hope to improve the support provided.

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.text.StyledEditorKit
`StyledEditorKit.AlignmentAction, StyledEditorKit.BoldAction, StyledEditorKit.FontFamilyAction, StyledEditorKit.FontSizeAction, StyledEditorKit.ForegroundAction, StyledEditorKit.ItalicAction, StyledEditorKit.StyledTextAction, StyledEditorKit.UnderlineAction`

Nested classes/interfaces inherited from class javax.swing.text.DefaultEditorKit
`DefaultEditorKit.BeepAction, DefaultEditorKit.CopyAction, DefaultEditorKit.CutAction, DefaultEditorKit.DefaultKeyTypedAction, DefaultEditorKit.InsertBreakAction, DefaultEditorKit.InsertContentAction, DefaultEditorKit.InsertTabAction, DefaultEditorKit.PasteAction`

Field Summary

Fields inherited from class javax.swing.text.DefaultEditorKit
`backwardAction, beepAction, beginAction, beginLineAction, beginParagraphAction, beginWordAction, copyAction, cutAction, defaultKeyTypedAction, deleteNextCharAction, deletePrevCharAction, downAction, endAction, endLineAction, EndOfLineStringProperty, endParagraphAction, endWordAction, forwardAction, insertBreakAction, insertContentAction, insertTabAction, nextWordAction, pageDownAction, pageUpAction, pasteAction, previousWordAction, readOnlyAction, selectAllAction, selectionBackwardAction, selectionBeginAction, selectionBeginLineAction, selectionBeginParagraphAction, selectionBeginWordAction, selectionDownAction, selectionEndAction, selectionEndLineAction, selectionEndParagraphAction, selectionEndWordAction, selectionForwardAction, selectionNextWordAction, selectionPreviousWordAction, selectionUpAction, selectLineAction, selectParagraphAction, selectWordAction, upAction, writableAction`

Constructor Summary
`RTFEditorKit()` Constructs an RTFEditorKit.

Method Summary
`String` | `getContentType()` Get the MIME type of the data that this kit represents support for.
`void` | `read(InputStream in, Document doc, int pos)` Insert content from the given stream which is expected to be in a format appropriate for this kind of content handler.
`void` | `read(Reader in, Document doc, int pos)` Insert content from the given stream, which will be treated as plain text.
`void` | `write(OutputStream out, Document doc, int pos, int len)` Write content from a document to the given stream in a format appropriate for this kind of content handler.
`void` | `write(Writer out, Document doc, int pos, int len)` Write content from a document to the given stream as plain text.

Methods inherited from class javax.swing.text.StyledEditorKit
`clone, createDefaultDocument, createInputAttributes, deinstall, getActions, getCharacterAttributeRun, getInputAttributes, getViewFactory, install`

Methods inherited from class javax.swing.text.DefaultEditorKit
`createCaret`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RTFEditorKit

    public RTFEditorKit()

  Constructs an RTFEditorKit.

Method Detail

### getContentType

    public String getContentType()

  Get the MIME type of the data that this kit represents support for. This kit supports the type `text/rtf`.

  Overrides:
    `getContentType` in class `DefaultEditorKit`
  Returns:
    the type

### read

    public void read(InputStream in,
                     Document doc,
                     int pos)
              throws IOException,
                     BadLocationException

  Insert content from the given stream which is expected to be in a format appropriate for this kind of content handler.

  Overrides:
    `read` in class `DefaultEditorKit`
  Parameters:
    `in` - The stream to read from
    `doc` - The destination for the insertion.
    `pos` - The location in the document to place the content.
  Throws:
    `IOException` - on any I/O error
    `BadLocationException` - if pos represents an invalid location within the document.

### write

    public void write(OutputStream out,
                      Document doc,
                      int pos,
                      int len)
               throws IOException,
                      BadLocationException

  Write content from a document to the given stream in a format appropriate for this kind of content handler.

  Overrides:
    `write` in class `DefaultEditorKit`
  Parameters:
    `out` - The stream to write to
    `doc` - The source for the write.
    `pos` - The location in the document to fetch the content.
    `len` - The amount to write out.
  Throws:
    `IOException` - on any I/O error
    `BadLocationException` - if pos represents an invalid location within the document.

### read

    public void read(Reader in,
                     Document doc,
                     int pos)
              throws IOException,
                     BadLocationException

  Insert content from the given stream, which will be treated as plain text.

  Overrides:
    `read` in class `DefaultEditorKit`
  Parameters:
    `in` - The stream to read from
    `doc` - The destination for the insertion.
    `pos` - The location in the document to place the content.
  Throws:
    `IOException` - on any I/O error
    `BadLocationException` - if pos represents an invalid location within the document.

### write

    public void write(Writer out,
                      Document doc,
                      int pos,
                      int len)
               throws IOException,
                      BadLocationException

  Write content from a document to the given stream as plain text.

  Overrides:
    `write` in class `DefaultEditorKit`
  Parameters:
    `out` - The stream to write to
    `doc` - The source for the write.
    `pos` - The location in the document to fetch the content.
    `len` - The amount to write out.
  Throws:
    `IOException` - on any I/O error
    `BadLocationException` - if pos represents an invalid location within the document.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.